<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
CanSeeBomLayout Method (IEdmBomMgr2)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBomMgr2 Interface : CanSeeBomLayout Method (IEdmBomMgr2)

Visual Basic
C#
C++/CLI

lLayoutId
  BOM layout ID

lUserID
  User ID

Gets whether the specified BOM layout is visible to the specified user.

# Syntax

Visual Basic |
--- | ---

    Function CanSeeBomLayout( _
       ByVal lLayoutId As System.Integer, _
       ByVal lUserID As System.Integer _
    ) As System.Boolean

C# |
--- | ---

    System.bool CanSeeBomLayout(
       System.int lLayoutId,
       System.int lUserID
    )

C++/CLI |
--- | ---

    System.bool CanSeeBomLayout(
    &   System.int lLayoutId,
    &   System.int lUserID
    )

#### Parameters

lLayoutId
  BOM layout ID
lUserID
  User ID

#### Return Value

True if visible, false if not

# Example

See the IEdmBomMgr2 examples.

# See Also

####

IEdmBomMgr2 Interface
IEdmBomMgr2 Members

# Availability

SOLIDWORKS PDM Professional 2020